Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.soapenc
Class FPDeserUtil

    java.lang.Object
      |
      +--org.apache.soap.encoding.soapenc.FPDeserUtil

public class FPDeserUtil
extends java.lang.Object

FPDeserUtil: Utilities to help with deserialization of floating point special values. Supplements Java.lang deserialization of float, Float, double, and Double by handling the special values INF, -INF, and NaN, something that Java doesn't do (i.e. new Float("INF") will cause a NumberFormatException). These special values specify infinity, negative infinity, and Not-a-Number in the XML Schema - Datatypes specification for the primitive datatypes "float" (Section 3.2.4.1) and "double" (Section 3.2.5.1). Also accepts "Infinity" for "INF" and "-Infinity" for "-INF" (case-insensitive) because that's what Java generates for toString() of a Float or Double. See: XML Schema Part 2: Datatypes (W3C PR 16 March 2001)

Method Summary
`static java.lang.Double` | `newDouble(java.lang.String value)`
`static java.lang.Float` | `newFloat(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newFloat

    public static java.lang.Float newFloat(java.lang.String value)

### newDouble

    public static java.lang.Double newDouble(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.